/******************************************************************************
* C Include: Extraction Set                                                   *
*                                                                             *
* File:                                                                       *
*    extrtset.h                                                               *
*                                                                             *
* Description:                                                                *
*    Include file for the Extraction Set functions.                           *
*                                                                             *
* History:                                                                    *
*    Created    : 15-JUN-93 by J. Doggett,                                    *
*       for the Association of Universities for Research in Astronomy, Inc.   *
*          at the Space Telescope Science Institute,                          *
*       to facilitate the accessing of data from the CD-ROM set of the        *
*          Digitized Sky Survey.                                              *
*    Delivered  : 01-MAR-94 by J. Doggett,                                    *
*       GetImage Version 1.0                                                  *
*                                                                             *
* Copyright (c) 1993, 1994, Association of Universities for Research in       *
* Astronomy, Inc.  All Rights Reserved.                                       *
* Produced under National Aeronautics and Space Administration grant          *
* NAG W-2166.                                                                 *
******************************************************************************/
#ifndef __EXTRTSET__
#define __EXTRTSET__

#include "lnkd_lst.h"
#include "extrtlst.h"

/************************************
* Extraction Set derived data types *
************************************/
typedef LL      X_SET  ;
typedef LL_NODE XS_NODE;

/***************************************
* Extraction Set functions' prototypes *
***************************************/
void   Add_Extraction_List_to_Set     (/* X_SET  X_Set       ,
					  X_LIST X_List       */);

X_SET  Create_Empty_Extraction_Set    (/* void                */);

void   Delete_Extraction_Set          (/* X_SET  X_Set        */);

void   Delete_Extraction_Set_Lists    (/* X_SET  X_Set        */);

X_LIST Get_Lowest_Disc_List_from_Set  (/* X_SET  X_Set       ,
					  int    Lowest_Disc  */);

void   Insert_List_into_Extraction_Set(/* X_SET  X_Set       ,
					  X_LIST Input_X_List */);

#endif
